<?php
class Sejarah extends CI_Controller{
	function __construct(){
		parent::__construct();
		if($this->session->userdata('masuk') !=TRUE){
            $url=base_url('administrator');
            redirect($url);
        };
		$this->load->model('m_sejarah');
	}
	function index(){
		$x['data']=$this->m_sejarah->get_all_sejarah();
		$this->load->view('admin/v_sejarah',$x);
	}

	function simpan_sejarah(){
		$sejarah=strip_tags($this->input->post('xsejarah'));
		$this->m_sejarah->simpan_sejarah($sejarah);
		echo $this->session->set_flashdata('msg','success');
		redirect('admin/sejarah');
	}

	function update_sejarah(){
		$kode=strip_tags($this->input->post('kode'));
		$sejarah=strip_tags($this->input->post('xsejarah'));;
		$this->m_sejarah->update_sejarah($kode,$sejarah);
		echo $this->session->set_flashdata('msg','info');
		redirect('admin/sejarah');
	}
	function hapus_sejarah(){
		$kode=strip_tags($this->input->post('kode'));
		$this->m_sejarah->hapus_sejarah($kode);
		echo $this->session->set_flashdata('msg','success-hapus');
		redirect('admin/sejarah');
	}

}